var _excluded = ["options"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useMemo } from "react";
import classNames from "classnames";
import "./index.less";
/**
 * @title: 系统级别的下拉框
 * @description:
 * @param {BrowserSelectProps} props
 * @return {*}
 * @Author: zhiwei.Wang
 * @Date: 2024-01-30 16:43
 */
var BrowserSelect = function BrowserSelect(props) {
  var options = props.options,
    resetProps = _objectWithoutProperties(props, _excluded);
  var _options = useMemo(function () {
    return (props.options || []).map(function (d) {
      return /*#__PURE__*/React.createElement("option", {
        value: d.value,
        key: d.value
      }, d.label);
    });
  }, [props.options]);
  return /*#__PURE__*/React.createElement("select", _extends({}, resetProps, {
    className: classNames("pisell-browser-select", resetProps.className),
    onChange: function onChange(e) {
      var _resetProps$onChange;
      e.persist();
      (_resetProps$onChange = resetProps.onChange) === null || _resetProps$onChange === void 0 || _resetProps$onChange.call(resetProps, e);
    }
  }), _options);
};
export default BrowserSelect;